pkgbase=nvidia-tweaks
pkgname=('nvidia-tweaks' 'nvidia-tweaks-pat')
pkgrel=1
pkgver=16
pkgdesc='LunaOS Nvidia Tweaks'
groups=('lunaos')
arch=('any')
license=('GPL3')
url="https://gitlab.com/LunaOS/pkgbuilds/lunaos-core-pkgbuilds/drivers/nvidia/nvidia-tweaks/master"
source=("nvidia.conf"
        "nvidia-pat.conf"
        "60-nvidia.rules")

sha512sums=('b5ec3c5e2359effc78b7424706026635df1fab52352aea691d80409a24ccf82dd6e1ec37e872c7f2355ca5894d97780e92970b7cd67ba7ef30259c9c6dd0d809'
            '0766af2e3c9ea21e9ed226179339c5d19b22661a03057145b16d625c6f096f29fb84f056803cb5b5dff6bb8cc375033bb0695ecb8c3311d7d5dee591e16be6ad'
            '7a1d8f40cfab55b2416103a02b8aecaecf2c60f8d8e4e9e4496d9e6ca0a2c9a2e6c3e7b88611b6fedfa9f5553cd4666197371592093b374d7999faa12907b4f8')
            
package_nvidia-tweaks() {
  optdepends=('nvidia-tweaks-pat: Replace MTRR to PAT')

  install -Dm644 nvidia.conf                       "${pkgdir}/usr/lib/modprobe.d/90-${pkgbase}.conf"
  install -Dm644 60-nvidia.rules                   "${pkgdir}/usr/lib/udev/rules.d/71-nvidia.rules"
}

package_nvidia-tweaks-pat(){
  depends=('nvidia-tweaks')

  install -Dm644 nvidia-pat.conf                       "${pkgdir}/usr/lib/modprobe.d/90-${pkgbase}-pat.conf"
}
